Skip to main content
GET
/
management
/
v1
/
orgs
/
{org_name}
/
endpoints
List endpoints
curl --request GET \
  --url https://api.cerebras.ai/management/v1/orgs/{org_name}/endpoints \
  --header 'Authorization: Bearer <token>'
{
  "endpoints": [
    {
      "endpoint_id": "my-org-gpt-oss-120b",
      "model_arch_id": "gpt-oss-120b",
      "created": 1736700000,
      "updated": 1736700000,
      "org_name": "my-org"
    },
    {
      "endpoint_id": "my-org-llama3.1-8b",
      "model_arch_id": "llama3.1-8b",
      "created": 1736600000,
      "updated": 1736650000,
      "org_name": "my-org"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt

Use this file to discover all available pages before exploring further.

This feature is in Private Preview. For access or more information, contact us or reach out to your account representative.
List all endpoints accessible to an organization for management.

Authorizations

Authorization
string
header
required

Management API key generated from the Management API keys section on the API keys page at https://cloud.cerebras.ai. Use the format: Bearer <MANAGEMENT_API_KEY>

Path Parameters

org_name
string
required

Cerebras customer management organization name found under Management API keys on the API keys page at https://cloud.cerebras.ai.

Note: This is not to be confused with org_id.

Response

200 - application/json

Successful Response

endpoints
EndpointSummary · object[]
required

Endpoints that can be managed via the API.